Summary: An Optical Character Recognition program
Name: ocrad
Version: 0.21
Release: 1
License: GPLv3+
Group: Applications/Multimedia
Source0: ftp://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.gz.sig
URL: http://www.gnu.org/software/ocrad/ocrad.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc, gcc-c++, coreutils, make
Requires: libgcc >= 4.2.3, libstdc++ >= 4.2.3
Requires: /sbin/install-info, info

%description
GNU Ocrad is an OCR (Optical Character Recognition) program based on a feature
extraction method. It reads images in pbm (bitmap), pgm (greyscale) or ppm
(color) formats and produces text in byte (8-bit) or UTF-8 formats.
Also includes a layout analyser able to separate the columns or blocks of text
normally found on printed pages.
Ocrad can be used as a stand-alone console application, or as a backend to
other programs.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
gmake %{?_smp_flags}


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/ocrad.info.gz
/usr/bin/*


%changelog
* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 0.21-1
- updated to version 0.21 

* Mon Jul 19 2010 Michael Perzl <michael@perzl.org> - 0.20-1
- updated to version 0.20 

* Fri Jan 29 2010 Michael Perzl <michael@perzl.org> - 0.19-1
- updated to version 0.19

* Fri Jan 29 2010 Michael Perzl <michael@perzl.org> - 0.18-2
- fixed compiled $LIBPATH issue

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 0.18-1
- first version for AIX V5.1 and higher
